Package org.apache.felix.configurator.impl.json

## Interface BinUtil.ResourceProvider

Enclosing class:
  BinUtil

    public static interface BinUtil.ResourceProvider

### Method Summary

All Methods Instance Methods Abstract Methods
`Enumeration<URL>` `findEntries​(String path, String filePattern)`
`long` `getBundleId()`
`URL` `getEntry​(String path)`
`String` `getIdentifier()`

### Method Detail

#### getBundleId

    long getBundleId()

#### getEntry

    URL getEntry​(String path)

#### getIdentifier

    String getIdentifier()

#### findEntries

    Enumeration<URL> findEntries​(String path,
                                 String filePattern)